package com.zd.laboratory.service;

import java.util.List;

import com.zd.laboratory.domain.LabSafeBook;

/**
 * 实验室安全制度Service接口
 *
 * @author liubo
 * @date 2021-11-19
 */
public interface ILabSafeBookService {
    /**
     * 查询实验室安全制度
     *
     * @param id 实验室安全制度主键
     * @return 实验室安全制度
     */
    public LabSafeBook selectLabSafeBookById(Long id);

    /**
     * 查询实验室安全制度列表
     *
     * @param labSafeBook 实验室安全制度
     * @return 实验室安全制度集合
     */
    public List<LabSafeBook> selectLabSafeBookList(LabSafeBook labSafeBook);

    /**
     * 新增实验室安全制度
     *
     * @param labSafeBook 实验室安全制度
     * @return 结果
     */
    public int insertLabSafeBook(LabSafeBook labSafeBook);

    /**
     * 修改实验室安全制度
     *
     * @param labSafeBook 实验室安全制度
     * @return 结果
     */
    public int updateLabSafeBook(LabSafeBook labSafeBook);

    /**
     * 批量删除实验室安全制度
     *
     * @param ids 需要删除的实验室安全制度主键集合
     * @return 结果
     */
    public int deleteLabSafeBookByIds(Long[] ids);

    /**
     * 删除实验室安全制度信息
     *
     * @param id 实验室安全制度主键
     * @return 结果
     */
    public int deleteLabSafeBookById(Long id);
}
